Bug 998501 - Developer Assistant GUI
Developer Assistant GUI
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
: Tracking
Depends On:
Blocks: 1008192 1008193
  Show dependency treegraph
 
Reported: 2013-08-19 09:03 EDT by Jaroslav Reznik
Modified: 2013-12-18 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version: devassistant-0.6.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008192 1008193 (view as bug list)
Environment:
Last Closed: 2013-12-18 09:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2013-08-19 09:03:49 EDT
This is a tracking bug for Change: Developer Assistant GUI
For more details, see: http://fedoraproject.org//wiki/Changes/DeveloperAssistantGUI

The feature aims to provide GUI for devassistant package.
Comment 1 Petr Hracek 2013-08-23 03:53:55 EDT
Main Developer Assistant GUI is finished and testable.
Problem with aborting project creation was already solved.

GUI for creation of user assistants depends on some devassistant-lint engine which is not implemented yet (will be in future).
devassistant-lint program should check whether yaml assistant is correct and runnable by devassistant engine.
Developer Assistant Creator GUI can be used only for beginners which do not want to use any command line or IDE editor for YAML files.

Field "Fixed in Version" will be filled during next week when will be a new release
Comment 2 Bohuslav "Slavek" Kabrda 2013-08-28 07:57:30 EDT
Testable in devassistant-0.6.1-2.fc20 by invoking "da-gui".
Comment 3 Jaroslav Reznik 2013-10-11 04:45:17 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 4 Bohuslav "Slavek" Kabrda 2013-10-11 06:30:33 EDT
The current Fedora 20 version, devassistant 0.7.0, contains fully functional DevAssistant gui, runnable by "da-gui".
Comment 5 Jaroslav Reznik 2013-10-14 10:08:53 EDT
Setting to ON_QA as the Change is completed and testable in Beta release as noted in comment #4. Thanks!
Comment 6 Jaroslav Reznik 2013-12-18 09:00:19 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.

Note You need to log in before you can comment on or make changes to this bug.